clear 
cd "C:\Users\meshriettolba\Dropbox\Blog\post 2"
*cd "C:\Users\eelkoudouss\Dropbox\Blog\post 2"
use"ICOW Colonial History 1.0\coldata100.dta" 
generate uk=1 if colruler ==200
generate frc=1 if colruler== 220
generate clny = 1 if uk==1 | frc==1
drop if clny ==.
keep name colruler uk frc clny
drop if name == "United States of America" | name == "Canada" ///
| name =="Ireland" | name == "Zanzibar" | name =="South Sudan" ///
| name =="Australia" | name =="New Zealand" ///
| name == "Yemen People's Rep. (Aden / South)"  ///
| name ==  "Republic of Vietnam (South)"
rename name Country 
sort Country 

replace Country = "Bahamas, The" in 4
replace Country = "Benin" in 9
replace Country = "Brunei Darussalam" in 12
replace Country = "Burkina Faso" in 13
replace Country = "Congo, Rep." in 19
replace Country = "Cote d'Ivoire" in 20
replace Country = "Gambia, The" in 26
replace Country = "Lao PDR" in 36
replace Country = "Madagascar" in 38
replace Country = "Maldives" in 41
replace Country = "Myanmar" in 47
replace Country = "Sri Lanka" in 60
replace Country = "St. Vincent and the Grenadines" in 63
replace Country = "Tanzania" in 66
replace Country = "Vietnam" in 74
replace Country = "Yemen, Rep." in 75
replace Country = "Zimbabwe" in 77

sort Country
save coldata , replace

clear 

import excel "wdi.xlsx", sheet("Data") firstrow
sort Country Time

merge Country using coldata

keep if _merge ==3
egen id = group(Country)
order Country ISO Time id

replace uk =0 if uk==.
replace frc=0 if frc==.

keep  Country Time id frc uk France UK Population 
  
order Country Time id frc uk France UK Population

sort Time
egen frpp = mean(Population)  if frc==1, by(Time)
egen ff = mean(France)        if frc==1, by(Time)
egen ukf = mean(UK)           if frc==1, by(Time)

replace ff   = ff/frpp          
replace ukf  = ukf/frpp                 

egen ukpp = mean(Population) if frc==0, by(Time)
egen fuk = mean(France)      if frc==0, by(Time)
egen ukuk = mean(UK)         if frc==0, by(Time)
   
replace fuk  =  fuk/ukpp
replace ukuk =  ukuk/ukpp


drop Country id France UK Population
drop if Time>=2013
/* this needs to be commented out the second time the code is run, and must 
 be on the first time. */

 
keep Time frc frpp ff ukf  
keep if frc==1
by Time:  gen dupfrc = cond(_N==1,0,_n)
keep if dupfrc==1
save pcfrcbaid, replace 


/* this must not be commented out the first time the code is run, but needs to
to be on the secondtime. */

/*
keep Time uk ukpp fuk ukuk 
keep if uk==1
by Time:  gen dupuk = cond(_N==1,0,_n)
keep if dupuk==1
save pcukbaid, replace */

*After those two data sets are created the folowing can be performed.

merge Time using pcfrcbaid

drop uk dupuk frc dupfrc _merge
order Time ukpp frpp fuk ff ukuk ukf 
export excel using "pcdataset", firstrow(variables) replace





